# ApplicationFramework
TKCDF
PCDM

# PCDM_ReadWriter Class Reference

`#include <PCDM_ReadWriter.hxx>`

Inheritance diagram for PCDM_ReadWriter:

[legend]

## Public Member Functions

virtual Standard_EXPORT TCollection_AsciiString | Version () const =0
| returns PCDM_ReadWriter_1.
virtual Standard_EXPORT void | WriteReferenceCounter (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument) const =0
virtual Standard_EXPORT void | WriteReferences (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument, const TCollection_ExtendedString &theReferencerFileName) const =0
virtual Standard_EXPORT void | WriteExtensions (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument) const =0
virtual Standard_EXPORT void | WriteVersion (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument) const =0
virtual Standard_EXPORT Standard_Integer | ReadReferenceCounter (const TCollection_ExtendedString &theFileName, const Handle(CDM_MessageDriver)&theMsgDriver) const =0
virtual Standard_EXPORT void | ReadReferences (const TCollection_ExtendedString &aFileName, PCDM_SequenceOfReference &theReferences, const Handle(CDM_MessageDriver)&theMsgDriver) const =0
virtual Standard_EXPORT void | ReadExtensions (const TCollection_ExtendedString &aFileName, TColStd_SequenceOfExtendedString &theExtensions, const Handle(CDM_MessageDriver)&theMsgDriver) const =0
virtual Standard_EXPORT Standard_Integer | ReadDocumentVersion (const TCollection_ExtendedString &aFileName, const Handle(CDM_MessageDriver)&theMsgDriver) const =0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Open (Storage_BaseDriver &aDriver, const TCollection_ExtendedString &aFileName, const Storage_OpenMode anOpenMode)
static Standard_EXPORT Handle_PCDM_ReadWriter | Reader (const TCollection_ExtendedString &aFileName)
| returns the convenient Reader for a File.
static Standard_EXPORT Handle_PCDM_ReadWriter | Writer ()
static Standard_EXPORT void | WriteFileFormat (const Handle(Storage_Data)&aData, const Handle(CDM_Document)&aDocument)
static Standard_EXPORT TCollection_ExtendedString | FileFormat (const TCollection_ExtendedString &aFileName)
| tries to get a format in the file. returns an empty string if the file could not be read or does not have a FileFormat information.

## Member Function Documentation

static Standard_EXPORT TCollection_ExtendedString PCDM_ReadWriter::FileFormat | ( | const TCollection_ExtendedString & | aFileName | ) | `[static]`

Standard_EXPORT const PCDM_ReadWriter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PCDM_ReadWriter_1.

static Standard_EXPORT void PCDM_ReadWriter::Open | ( | Storage_BaseDriver & | aDriver,
|  | const TCollection_ExtendedString & | aFileName,
|  | const Storage_OpenMode | anOpenMode
| ) | `[static]`

virtual Standard_EXPORT Standard_Integer PCDM_ReadWriter::ReadDocumentVersion | ( | const TCollection_ExtendedString & | aFileName,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

static Standard_EXPORT Handle_PCDM_ReadWriter PCDM_ReadWriter::Reader | ( | const TCollection_ExtendedString & | aFileName | ) | `[static]`

virtual Standard_EXPORT void PCDM_ReadWriter::ReadExtensions | ( | const TCollection_ExtendedString & | aFileName,
|  | TColStd_SequenceOfExtendedString & | theExtensions,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

virtual Standard_EXPORT Standard_Integer PCDM_ReadWriter::ReadReferenceCounter | ( | const TCollection_ExtendedString & | theFileName,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

virtual Standard_EXPORT void PCDM_ReadWriter::ReadReferences | ( | const TCollection_ExtendedString & | aFileName,
|  | PCDM_SequenceOfReference & | theReferences,
|  | const Handle(CDM_MessageDriver)& | theMsgDriver
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

virtual Standard_EXPORT TCollection_AsciiString PCDM_ReadWriter::Version | ( |  | ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

virtual Standard_EXPORT void PCDM_ReadWriter::WriteExtensions | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

static Standard_EXPORT void PCDM_ReadWriter::WriteFileFormat | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | `[static]`

static Standard_EXPORT Handle_PCDM_ReadWriter PCDM_ReadWriter::Writer | ( |  | ) | `[static]`

virtual Standard_EXPORT void PCDM_ReadWriter::WriteReferenceCounter | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

virtual Standard_EXPORT void PCDM_ReadWriter::WriteReferences | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument,
|  | const TCollection_ExtendedString & | theReferencerFileName
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

virtual Standard_EXPORT void PCDM_ReadWriter::WriteVersion | ( | const Handle(Storage_Data)& | aData,
|  | const Handle(CDM_Document)& | aDocument
| ) | const`[pure virtual]`

| Implemented in PCDM_ReadWriter_1.

The documentation for this class was generated from the following file:

- PCDM_ReadWriter.hxx